package sk.upjs.ics.kniznica;

public class Kniha {
	private String nazov;
	
	private String autor;
	
	private int isbn;
	
	private String zaner;
	
	private int pocetStran;
	
	private String vydavatel;

	public String getNazov() {
		return nazov;
	}

	public void setNazov(String nazov) {
		this.nazov = nazov;
	}

	public String getAutor() {
		return autor;
	}

	public void setAutor(String autor) {
		this.autor = autor;
	}

	public int getIsbn() {
		return isbn;
	}

	public void setIsbn(int isbn) {
		this.isbn = isbn;
	}

	public String getZaner() {
		return zaner;
	}

	public void setZaner(String zaner) {
		this.zaner = zaner;
	}

	public int getPocetStran() {
		return pocetStran;
	}

	public void setPocetStran(int pocetStran) {
		this.pocetStran = pocetStran;
	}

	public String getVydavatel() {
		return vydavatel;
	}

	public void setVydavatel(String vydavatel) {
		this.vydavatel = vydavatel;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((autor == null) ? 0 : autor.hashCode());
		result = prime * result + isbn;
		result = prime * result + ((nazov == null) ? 0 : nazov.hashCode());
		result = prime * result + pocetStran;
		result = prime * result
				+ ((vydavatel == null) ? 0 : vydavatel.hashCode());
		result = prime * result + ((zaner == null) ? 0 : zaner.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Kniha other = (Kniha) obj;
		if (autor == null) {
			if (other.autor != null)
				return false;
		} else if (!autor.equals(other.autor))
			return false;
		if (isbn != other.isbn)
			return false;
		if (nazov == null) {
			if (other.nazov != null)
				return false;
		} else if (!nazov.equals(other.nazov))
			return false;
		if (pocetStran != other.pocetStran)
			return false;
		if (vydavatel == null) {
			if (other.vydavatel != null)
				return false;
		} else if (!vydavatel.equals(other.vydavatel))
			return false;
		if (zaner == null) {
			if (other.zaner != null)
				return false;
		} else if (!zaner.equals(other.zaner))
			return false;
		return true;
	}

	@Override
	public String toString() {
		return "Kniha [nazov=" + nazov + ", autor=" + autor + ", isbn=" + isbn
				+ ", zaner=" + zaner + ", pocetStran=" + pocetStran
				+ ", vydavatel=" + vydavatel + "]";
	}
	
	
}
