package sk.upjs.ics.kniznica.gui;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.GroupLayout;
import javax.swing.GroupLayout.Alignment;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.LayoutStyle.ComponentPlacement;
import javax.swing.border.EmptyBorder;

import sk.upjs.ics.kniznica.Kniha;

public class KnihaForm extends JDialog {

	private final JPanel contentPanel = new JPanel();
	private JLabel lblNazov;
	private JTextField txtNazov;
	private JLabel lblAutor;
	private JTextField txtAutor;
	private JLabel lblIsbn;
	private JTextField txtIsbn;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			KnihaForm dialog = new KnihaForm();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public KnihaForm() {
		setBounds(100, 100, 450, 300);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);

		lblNazov = new JLabel("N\u00E1zov:");

		txtNazov = new JTextField();
		txtNazov.setColumns(10);

		lblAutor = new JLabel("Autor:");

		txtAutor = new JTextField();
		txtAutor.setColumns(10);

		lblIsbn = new JLabel("ISBN:");

		txtIsbn = new JTextField();
		txtIsbn.setColumns(10);
		GroupLayout gl_contentPanel = new GroupLayout(contentPanel);
		gl_contentPanel.setHorizontalGroup(gl_contentPanel.createParallelGroup(
				Alignment.LEADING).addGroup(
				gl_contentPanel
						.createSequentialGroup()
						.addContainerGap()
						.addGroup(
								gl_contentPanel
										.createParallelGroup(Alignment.LEADING)
										.addComponent(lblNazov)
										.addComponent(lblAutor)
										.addComponent(lblIsbn))
						.addGap(18)
						.addGroup(
								gl_contentPanel
										.createParallelGroup(Alignment.LEADING)
										.addComponent(txtAutor,
												GroupLayout.DEFAULT_SIZE, 352,
												Short.MAX_VALUE)
										.addComponent(txtNazov,
												GroupLayout.DEFAULT_SIZE, 352,
												Short.MAX_VALUE)
										.addComponent(txtIsbn,
												GroupLayout.DEFAULT_SIZE, 352,
												Short.MAX_VALUE))
						.addContainerGap()));
		gl_contentPanel
				.setVerticalGroup(gl_contentPanel
						.createParallelGroup(Alignment.LEADING)
						.addGroup(
								gl_contentPanel
										.createSequentialGroup()
										.addContainerGap()
										.addGroup(
												gl_contentPanel
														.createParallelGroup(
																Alignment.BASELINE)
														.addComponent(lblNazov)
														.addComponent(
																txtNazov,
																GroupLayout.PREFERRED_SIZE,
																GroupLayout.DEFAULT_SIZE,
																GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(
												ComponentPlacement.RELATED)
										.addGroup(
												gl_contentPanel
														.createParallelGroup(
																Alignment.BASELINE)
														.addComponent(lblAutor)
														.addComponent(
																txtAutor,
																GroupLayout.PREFERRED_SIZE,
																GroupLayout.DEFAULT_SIZE,
																GroupLayout.PREFERRED_SIZE))
										.addPreferredGap(
												ComponentPlacement.UNRELATED)
										.addGroup(
												gl_contentPanel
														.createParallelGroup(
																Alignment.BASELINE)
														.addComponent(lblIsbn)
														.addComponent(
																txtIsbn,
																GroupLayout.PREFERRED_SIZE,
																GroupLayout.DEFAULT_SIZE,
																GroupLayout.PREFERRED_SIZE))
										.addContainerGap(137, Short.MAX_VALUE)));
		contentPanel.setLayout(gl_contentPanel);
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("OK");
				okButton.addActionListener(new ActionListener() {
					public void actionPerformed(ActionEvent e) {
						Kniha novaKniha = new Kniha();
						novaKniha.setNazov(txtNazov.getText());
						novaKniha.setAutor(txtAutor.getText());
						novaKniha.setIsbn(Integer.parseInt(txtIsbn.getText()));

						JOptionPane.showMessageDialog(KnihaForm.this,
								"Zadal si novu knihu: " + novaKniha);
					}
				});
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}

			JButton cancelButton = new JButton("Cancel");
			cancelButton.addActionListener(new ActionListener() {
				public void actionPerformed(ActionEvent e) {
					Kniha novaKniha = new Kniha();
					novaKniha.setNazov(txtNazov.getText());
					novaKniha.setAutor(txtAutor.getText());
					novaKniha.setIsbn(Integer.parseInt(txtIsbn.getText()));

					JOptionPane.showMessageDialog(KnihaForm.this,
							"Zadal si novu knihu: " + novaKniha);
				}
			});
			cancelButton.setActionCommand("Cancel");
			buttonPane.add(cancelButton);
		}
	}
}
