package sk.upjs.ics.kniznica.gui;

import javax.swing.table.AbstractTableModel;

import sk.upjs.ics.kniznica.Kniha;
import sk.upjs.ics.kniznica.PamatovaPozicovna;

public class KnihyTableModel extends AbstractTableModel {
	private PamatovaPozicovna pamatovaKniznica = new PamatovaPozicovna(); 
	
	
	@Override
	public int getRowCount() {
		return pamatovaKniznica.dajPocetKnih();
	}

	@Override
	public int getColumnCount() {
		return 2;
	}

	@Override
	public Object getValueAt(int rowIndex, int columnIndex) {
		Kniha kniha = pamatovaKniznica.dajVsetkyKnihy().get(rowIndex);
		if(columnIndex == 0) {
			return kniha.getNazov();
		}
		if(columnIndex == 1) {
			return kniha.getAutor();
		}
		
		return null;
	}
	
}
