package sk.upjs.ics.kniznica.gui;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JTable;
import java.awt.BorderLayout;
import javax.swing.table.DefaultTableModel;

public class PozicovnaForm {

	private JFrame frame;
	private JTable tableKnihy;
	
	private KnihyTableModel tableKnihyModel = new KnihyTableModel();

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					PozicovnaForm window = new PozicovnaForm();
					window.frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public PozicovnaForm() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frame = new JFrame();
		frame.setBounds(100, 100, 450, 300);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		tableKnihy = new JTable();
		tableKnihy.setModel(tableKnihyModel);
		tableKnihy.getColumnModel().getColumn(0).setPreferredWidth(209);
		tableKnihy.getColumnModel().getColumn(1).setPreferredWidth(213);
		frame.getContentPane().add(tableKnihy, BorderLayout.CENTER);
	}

	
}
